WAYLAND-INFO(1)

NAME
wayland-info - display information utility for Wayland

SYNOPSIS
wayland-info [option ...]

DESCRIPTION

wayland-info is a utility for displaying information about the Wayland protocols supported by a Wayland compositor.

It can be used to check which Wayland protocols and versions are advertised by the Wayland compositor.

wayland-info also provides additional information for a subset of Wayland protocols it knows about, namely Linux DMABUF, presentation time, tablet and XDG output protocols.

OPTIONS
wayland-info accepts the following line options:

-h, --help
    Print a summary of command line options, and quit.

-i, --interface interface
    Only print information about the Wayland globals containing the string interface in their name.

ENVIRONMENT

WAYLAND_DISPLAY
    The name of the display (socket) of an already running Wayland server, without the path. The directory path is always taken from XDG_RUNTIME_DIR. If WAYLAND_DISPLAY is not set, the socket name is "wayland-0".

SEE ALSO
weston(1)